FreeMat

- Main Page
- Related Pages

vtkAttributeDataToFieldDataFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkAttributeDataToFieldDataFilter is a class that maps attribute data into field data. Since this filter is a subclass of vtkDataSetAlgorithm, the output dataset (whose structure is the same as the input dataset), will contain the field data that is generated. The filter will convert point and cell attribute data to field data and assign it as point and cell field data, replacing any point or field data that was there previously. By default, the original non-field point and cell attribute data will be passed to the output of the filter, although you can shut this behavior down.

To create an instance of class vtkAttributeDataToFieldDataFilter, simply invoke its constructor as follows

      obj = vtkAttributeDataToFieldDataFilter

# Methods

The class vtkAttributeDataToFieldDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAttributeDataToFieldDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAttributeDataToFieldDataFilter = obj.NewInstance ()`
- `vtkAttributeDataToFieldDataFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetPassAttributeData (int )` - Turn on/off the passing of point and cell non-field attribute data to the output of the filter.
- `int = obj.GetPassAttributeData ()` - Turn on/off the passing of point and cell non-field attribute data to the output of the filter.
- `obj.PassAttributeDataOn ()` - Turn on/off the passing of point and cell non-field attribute data to the output of the filter.
- `obj.PassAttributeDataOff ()` - Turn on/off the passing of point and cell non-field attribute data to the output of the filter.